%if 0%{?el7}
%define dist .el7
%endif

Name:           dcadec
Version:        0.2.0
Release:        4%{?dist}
Summary:        Free DTS Coherent Acoustics decoder with support for HD extensions.

Group:          System Environment/Libraries
License:        LGPLv2.1
URL:            https://github.com/foo86/dcadec
# https://github.com/foo86/dcadec.git
#Source0:        %%{name}.tar.xz
Source0:        https://github.com/foo86/%{name}/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Free DTS Coherent Acoustics decoder with support for HD extensions.

%package -n libdcadec-devel
Summary:     Development files for the dcadec library   
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n libdcadec-devel
%{summary}

%prep
%setup -q

%build
CONFIG_SHARED=1 make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
CONFIG_SHARED=1 PREFIX=%{_prefix} LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT make all install
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so.*
mv -f $RPM_BUILD_ROOT%{_bindir}/dcadec $RPM_BUILD_ROOT%{_bindir}/dcadec0

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md CHANGELOG.md
%{!?_licensedir:%global license %%doc}
%license COPYING.LGPLv2.1
%{_bindir}/dcadec0
%{_libdir}/*.so.*

%files -n libdcadec-devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/lib%{name}/*.h

%changelog
* Thu Feb 18 2016 momo-i <webmaster@momo-i.org> - 0.2.0-4
- Rename dcadec to dcadec0

* Wed Feb 17 2016 momo-i <webmaster@momo-i.org> - 0.2.0-3
- separate package

* Wed Feb 17 2016 momo-i <webmaster@momo-i.org> - 0.2.0-2
- Fix dcadec.pc

* Wed Feb 17 2016 momo-i <webmaster@momo-i.org> - 0.2.0-1
- Update to 0.2.0

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0-3
- Rebuilt for fc23

* Fri Jun 12 2015 momo-i <webmaster@momo-i.org> - 0-2
- Change binary name for conflicts libdca-0.9.5

* Wed Jun 10 2015 momo-i <webmaster@momo-i.org> - 0-1
- Initial rpm release.
